Package org.apache.synapse.mediators.bsf.access.control

## Class SandboxContextFactory

- java.lang.Object
- - org.mozilla.javascript.ContextFactory
  - - org.apache.synapse.mediators.bsf.access.control.SandboxContextFactory

-     public class SandboxContextFactory
      extends org.mozilla.javascript.ContextFactory

  Represents the sandbox context factory - which is used with access control of the Script Mediator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.mozilla.javascript.ContextFactory

      `org.mozilla.javascript.ContextFactory.GlobalSetter, org.mozilla.javascript.ContextFactory.Listener`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SandboxContextFactory​(org.apache.synapse.script.access.AccessControlConfig nativeObjectAccessControlConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.mozilla.javascript.Context` | `makeContext()` |

    - ### Methods inherited from class org.mozilla.javascript.ContextFactory

      `addListener, call, checkNotSealed, createClassLoader, doTopCall, enter, enterContext, enterContext, exit, getApplicationClassLoader, getE4xImplementationFactory, getGlobal, getGlobalSetter, hasExplicitGlobal, hasFeature, initApplicationClassLoader, initGlobal, isSealed, observeInstructionCount, onContextCreated, onContextReleased, removeListener, seal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SandboxContextFactory

          public SandboxContextFactory​(org.apache.synapse.script.access.AccessControlConfig nativeObjectAccessControlConfig)

  - ### Method Detail

    - #### makeContext

          protected org.mozilla.javascript.Context makeContext()

      Overrides:
        `makeContext` in class `org.mozilla.javascript.ContextFactory`